<template>
  <div>
    <div class="h-8 bg-gray-200 hidden md:block">
      <div class="px-4 md:px-[50px]">
        <div class="flex justify-end h-8 items-center">
          <a href="#" class="text-[12px] mx-4 inline-block text-black">Find a store</a>
          <a href="#" class="text-[12px] mx-4 inline-block text-black">Help</a>
          <a href="#" class="text-[12px] mx-4 inline-block text-black">Join Us</a>
          <a href="#" class="text-[12px] mx-4 inline-block text-black">Sign In</a>
        </div>
      </div>
    </div>
    <div class="border border-bottom border-gray-200">
      <div class="px-4 md:px-[50px]">
        <div class="flex h-16 items-center justify-between">
          <h1>
            <a href="/"><img :src="logoUrl" class="w-28" alt="logo"/></a>
          </h1>
          <ul class="hidden md:flex">
            <li
              v-for="item in menuItems"
              :key="item.title"
              class="text-[14px] mx-4 relative py-[22px]"
              @mouseover="item.isHovered = true"
              @mouseout="item.isHovered = false"
            >
              <a href="#">{{ item.title }}</a>
              <span
                v-if="item.isHovered"
                class="absolute inline-block w-full h-[2px] bg-black top-0 left-0"
              ></span>
              <ul
                v-if="item.submenu"
                :class="['absolute top-16 left-0 bg-white p-4 border border-gray-200 w-[200px] shadow-lg', { 'hidden': !item.isHovered }]"
                @mouseover="item.isHovered = true"
                @mouseout="item.isHovered = false"
              >
                <li
                  v-for="subitem in item.submenu"
                  :key="subitem.title"
                  class="mb-2"
                >
                  <router-link :to="subitem.route" class="text-gray-400 hover:text-black">{{ subitem.title }}</router-link>
                </li>
              </ul>
            </li>
          </ul>
          <div class="flex justify-end align-center">
            <input type="text" placeholder="Search..." :class="showSearch ? '' : 'hidden'" class="md:block w-[180px] md:mr-4 border-none bg-gray-100 h-8 rounded-full text-[12px] px-4">
            <div @click="toggleSearch" class="md:hidden ml-4 flex items-center">
              <font-awesome-icon :icon="showSearch ? 'x' : 'magnifying-glass'" class="w-[16px] h-[16px] text-black" />
            </div>
            <a href="#" class="hidden ml-4 md:flex items-center">
              <font-awesome-icon icon="heart" class="w-[16px] h-[16px] text-black" />
            </a>
            <a href="#" class="ml-4 flex items-center">
              <font-awesome-icon icon="cart-shopping" class="w-[16px] h-[16px]  text-black" />
            </a>
          </div>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
import menuItems from '~/constants/menuItems';

export default {
  name: 'Header',
  data() {
    return {
      logoUrl: require('@/assets/images/logo.png'),
      menuItems: menuItems,
      menuItems: menuItems.map(item => ({ ...item, isHovered: false })),
      showSearch: false,
    };
  },
  methods: {
    toggleSearch() {
      this.showSearch = !this.showSearch
    }
  }
}
</script>
